Updates the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "e68ee31b-7a1b-437c-90a1-601c75ec27a7",
"user_id": "b8e7c488-b85f-4305-9a9f-5107a8673c1b",
"user_planning_slot_type_id": "a3b65695-5a3b-4a30-a7bb-e50bff081565",
"date_from": "2026-04-10T20:54:58.6767269+00:00",
"date_to": "2026-04-10T20:54:58.6767269+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-04-10T20:54:58.6767269+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.